package com.community.huiju.model;

import java.util.Date;
import java.util.List;

public class TpHotel {
    private Integer id;

    /**
     * 酒店名称
     */
    private String hotelName;

    /**
     * 小区ID
     */
    private Integer communityId;

    /**
     * 酒店电话
     */
    private String hotelTel;

    /**
     * 酒店地址
     */
    private String hotelAddress;

    /**
     * 酒店经度
     */
    private String hotelLongitude;

    /**
     *酒店纬度
     */
    private String hotelLatitude;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 更新时间
     */
    private Date updateDate;

    /**
     * 更新人
     */
    private Integer updateUser;
    /**
     * 酒店介绍
     */
    private String hotelIntroduction;

    /**
     * 首頁图片
     */
    private  String img;

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    /**
     * 房间
     * @return
     */
    private List<TpHotelRoom> tpHotelRoomsList;

    public String getHotelName() {
        return hotelName;
    }

    public void setHotelName(String hotelName) {
        this.hotelName = hotelName;
    }

    public void setTpHotelRoomsList(List<TpHotelRoom> tpHotelRoomsList) {
        this.tpHotelRoomsList = tpHotelRoomsList;
    }

    public List<TpHotelRoom> getTpHotelRoomsList() {
        return tpHotelRoomsList;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public String getHotelTel() {
        return hotelTel;
    }

    public void setHotelTel(String hotelTel) {
        this.hotelTel = hotelTel == null ? null : hotelTel.trim();
    }

    public String getHotelAddress() {
        return hotelAddress;
    }

    public void setHotelAddress(String hotelAddress) {
        this.hotelAddress = hotelAddress == null ? null : hotelAddress.trim();
    }

    public String getHotelLongitude() {
        return hotelLongitude;
    }

    public void setHotelLongitude(String hotelLongitude) {
        this.hotelLongitude = hotelLongitude == null ? null : hotelLongitude.trim();
    }

    public String getHotelLatitude() {
        return hotelLatitude;
    }

    public void setHotelLatitude(String hotelLatitude) {
        this.hotelLatitude = hotelLatitude == null ? null : hotelLatitude.trim();
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Integer getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    public String getHotelIntroduction() {
        return hotelIntroduction;
    }

    public void setHotelIntroduction(String hotelIntroduction) {
        this.hotelIntroduction = hotelIntroduction == null ? null : hotelIntroduction.trim();
    }
}